Uses of Class
nzilbb.labbcat.server.api.RequestParameters
-
Packages that use RequestParameters Package Description nzilbb.labbcat.server.api /api/… : API endpoints providing an HTTP-based API for access to transcripts, annotations, media, and functions that manipulate them.nzilbb.labbcat.server.api.admin /api/admin/… : API endpoints for users with 'admin' privileges.nzilbb.labbcat.server.api.admin.elicit /api/admin/elicit/… : API endpoints for administration of speech elicitation tasks.nzilbb.labbcat.server.api.admin.elicit.task /api/admin/elicit/task/… : API endpoints for uploading speech elicitation tasks.nzilbb.labbcat.server.api.annotation /api/annotation/… : API endpoints providing annotation data.nzilbb.labbcat.server.api.edit.annotations /api/edit/annotations/… : API endpoints for users with editing multiple annotations.nzilbb.labbcat.server.api.edit.fragment /api/edit/fragment/… : API endpoints associated with uploading annotated fragments.nzilbb.labbcat.server.api.edit.participants.attributes /api/edit/participants/attributes/… : API endpoints for uploading participant attribute values.nzilbb.labbcat.server.api.edit.participants.layers /api/edit/participants/layers/… : API endpoints for batch processing of regenerationg of layers based on participant ID.nzilbb.labbcat.server.api.edit.transcript /api/edit/transcript/… : API endpoints associated with uploading transcripts.nzilbb.labbcat.server.api.edit.transcripts.attributes /api/edit/transcripts/attributes/… : API endpoints for uploading transcript attribute values.nzilbb.labbcat.server.api.edit.transcripts.layers /api/edit/transcripts/layers/… : API endpoints for batch processing of regenerationg of layers based on transcript ID.nzilbb.labbcat.server.api.elicit /api/elicit/… : API endpoints for speech elicitation apps.nzilbb.labbcat.server.api.media /api/media/… : API endpoints related to media extraction.nzilbb.labbcat.server.api.participant /api/participant/… : API endpoints related to participant data.nzilbb.labbcat.server.api.results /api/results/… : API endpoints related to search result sets.nzilbb.labbcat.server.api.serialize /api/serialize/… : API endpoints related to serialization of annotation graphs/fragments.nzilbb.labbcat.server.content Handlers for non-API HTTP requests, e.g. -
-
Uses of RequestParameters in nzilbb.labbcat.server.api
Methods in nzilbb.labbcat.server.api with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectTask. delete(String pathInfo, RequestParameters parameters, Consumer<Integer> httpStatus)Either cancel a currently running thread, or release a finished thread.voidAttributes. get(RequestParameters parameters, OutputStream out, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet.voidFiles. get(RequestParameters parameters, OutputStream out, Consumer<String> contentType, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet.voidKeepAlive. get(RequestParameters parameters, Consumer<Integer> refreshHeader)Keeps session/task alive.voidResults. get(RequestParameters parameters, UnaryOperator<String> requestHeaders, OutputStream out, Consumer<String> contentTypeConsumer, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet.javax.json.JsonObjectSearch. get(RequestParameters parameters, Consumer<Integer> httpStatus)The GET method for the servlet.javax.json.JsonObjectStore. get(String url, String method, String pathInfo, String queryString, RequestParameters parameters, InputStream requestBody, Consumer<Integer> httpStatus, Consumer<String> redirectUrl)GET handler lists all rows.voidTableServletBase. get(String pathInfo, RequestParameters parameters, UnaryOperator<String> requestHeaders, OutputStream out, Consumer<String> contentTypeConsumer, Consumer<String> fileName, Consumer<Integer> httpStatus)GET handler lists all rows.javax.json.JsonObjectTask. get(String pathInfo, RequestParameters parameters, Consumer<Integer> httpStatus)Returns information about current tasks, or the given task if an ID is specified.javax.json.JsonObjectPraat. post(RequestParameters parameters, Consumer<String> fileName, Consumer<Integer> httpStatus)The POST method for the servlet.javax.json.JsonObjectUtterances. post(RequestParameters parameters, Consumer<String> fileName, Consumer<Integer> httpStatus, Consumer<String> redirectUrl)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.admin
Methods in nzilbb.labbcat.server.api.admin with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectActivity. get(RequestParameters parameters, UnaryOperator<String> requestHeaders, Consumer<Integer> httpStatus)Register admin page access.javax.json.JsonObjectAnnotators. post(RequestParameters parameters, Consumer<Integer> httpStatus, File annotatorDir)POST handler - receive an uploaded file or an installation confirmation.javax.json.JsonObjectSerialization. post(RequestParameters parameters, Consumer<Integer> httpStatus, File annotatorDir)POST handler - receive an uploaded file or an installation confirmation.javax.json.JsonObjectUpgrade. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet.javax.json.JsonObjectUpgrade. put(String pathInfo, RequestParameters requestParameters, Consumer<Integer> httpStatus)The PUT method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.admin.elicit
Methods in nzilbb.labbcat.server.api.admin.elicit with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectStimulus. post(RequestParameters parameters, Consumer<Integer> httpStatus)POST handler - receive an uploaded stimulus file. -
Uses of RequestParameters in nzilbb.labbcat.server.api.admin.elicit.task
Methods in nzilbb.labbcat.server.api.admin.elicit.task with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectUpload. post(RequestParameters parameters, Consumer<Integer> httpStatus)POST handler - receive an uploaded stimulus file. -
Uses of RequestParameters in nzilbb.labbcat.server.api.annotation
Methods in nzilbb.labbcat.server.api.annotation with parameters of type RequestParameters Modifier and Type Method Description voidData. post(RequestParameters parameters, OutputStream out, Consumer<String> contentType, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET or POST method for the servlet.javax.json.JsonObjectIntervals. post(RequestParameters parameters, Consumer<String> fileName, Consumer<Integer> httpStatus)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.edit.annotations
Methods in nzilbb.labbcat.server.api.edit.annotations with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectIntervals. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet.javax.json.JsonObjectTokens. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.edit.fragment
Methods in nzilbb.labbcat.server.api.edit.fragment with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectUpload. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet.javax.json.JsonObjectUpload. put(String pathInfo, RequestParameters requestParameters, Consumer<Integer> httpStatus)The PUT method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.edit.participants.attributes
Methods in nzilbb.labbcat.server.api.edit.participants.attributes with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectUpload. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.edit.participants.layers
Methods in nzilbb.labbcat.server.api.edit.participants.layers with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectRegenerate. post(RequestParameters requestParameters, Consumer<Integer> httpStatus, BiFunction<Collection<nzilbb.ag.Annotation>,nzilbb.ag.Layer,String> layerGenerator)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.edit.transcript
Methods in nzilbb.labbcat.server.api.edit.transcript with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectUpload. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet.javax.json.JsonObjectUpload. put(String pathInfo, RequestParameters requestParameters, Consumer<Integer> httpStatus, Function<nzilbb.ag.Graph,String> layerGenerator)The PUT method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.edit.transcripts.attributes
Methods in nzilbb.labbcat.server.api.edit.transcripts.attributes with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectUpload. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.edit.transcripts.layers
Methods in nzilbb.labbcat.server.api.edit.transcripts.layers with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectRegenerate. post(RequestParameters requestParameters, Consumer<Integer> httpStatus, BiFunction<Collection<Integer>,Integer,String> layerGenerator)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.elicit
Methods in nzilbb.labbcat.server.api.elicit with parameters of type RequestParameters Modifier and Type Method Description javax.json.JsonObjectSteps. get(String remoteUser, RequestParameters requestParameters, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet.javax.json.JsonObjectVerify. get(RequestParameters requestParameters, Consumer<Integer> httpStatus)The GET method for the servlet.javax.json.JsonObjectUpload. post(RequestParameters requestParameters, Consumer<Integer> httpStatus, Function<nzilbb.ag.Graph,String> layerGenerator)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.media
Methods in nzilbb.labbcat.server.api.media with parameters of type RequestParameters Modifier and Type Method Description voidFragments. get(RequestParameters parameters, OutputStream out, Consumer<String> contentType, Consumer<String> fileName, Consumer<Integer> httpStatus)The request method for the handler. -
Uses of RequestParameters in nzilbb.labbcat.server.api.participant
Methods in nzilbb.labbcat.server.api.participant with parameters of type RequestParameters Modifier and Type Method Description voidAttributes. get(RequestParameters parameters, OutputStream out, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.results
Methods in nzilbb.labbcat.server.api.results with parameters of type RequestParameters Modifier and Type Method Description voidDictionary. get(RequestParameters parameters, OutputStream out, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet.javax.json.JsonObjectUpload. post(RequestParameters requestParameters, Consumer<Integer> httpStatus)The POST method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.api.serialize
Methods in nzilbb.labbcat.server.api.serialize with parameters of type RequestParameters Modifier and Type Method Description voidFragments. get(RequestParameters parameters, OutputStream out, Consumer<String> contentType, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet - this expects an array of graph ids, start times and end times, a list of layerIds in include, and a mimetype.voidGraphs. get(RequestParameters parameters, OutputStream out, Consumer<String> contentType, Consumer<String> fileName, Consumer<Integer> httpStatus)The GET method for the servlet. -
Uses of RequestParameters in nzilbb.labbcat.server.content
Methods in nzilbb.labbcat.server.content with parameters of type RequestParameters Modifier and Type Method Description voidFiles. get(String pathInfo, RequestParameters parameters, Function<String,File> realPath, Consumer<String> fileName, Consumer<String> contentType, Consumer<Integer> httpStatus, Consumer<String> forward)GET handler: checks whether the given is accessible by the current users, whether file exists, can be generated from the file specified by thefrom
request parameter if not, and if all ok, forwards the request to thedefault
servlets for serving content, handling partial content requests, etc.voidAgreement. post(String pathInfo, Function<String,File> realPath, RequestParameters parameters, OutputStream out, Consumer<String> contentType, Consumer<String> contentEncoding, Consumer<Integer> httpStatus)POST handler: for saving images and other assets.voidDoc. post(String pathInfo, Function<String,File> realPath, RequestParameters parameters, OutputStream out, Consumer<String> contentType, Consumer<String> contentEncoding, Consumer<Integer> httpStatus)POST handler: for saving images and other assets.voidDoc. put(String pathInfo, Function<String,File> realPath, RequestParameters parameters, InputStream requestBody, OutputStream out, Consumer<String> contentType, Consumer<String> contentEncoding, Consumer<Integer> httpStatus)PUT handler: Adds or updates an HTML document, or if the "move" parameter is specified, the document's entry is moved in the index (in which case the HTML document itself is not updated).
-